aboutsummaryrefslogtreecommitdiff
path: root/openssl/update-snapshot.sh
diff options
context:
space:
mode:
Diffstat (limited to 'openssl/update-snapshot.sh')
-rwxr-xr-xopenssl/update-snapshot.sh27
1 files changed, 27 insertions, 0 deletions
diff --git a/openssl/update-snapshot.sh b/openssl/update-snapshot.sh
new file mode 100755
index 00000000..74ae157d
--- /dev/null
+++ b/openssl/update-snapshot.sh
@@ -0,0 +1,27 @@
+#!/bin/sh -
+# $Id$
+#
+# Fetch today's OpenSSL snapshot and do everything needed to make it
+# the current code other than the svn commit.
+
+version="SNAP-$(date +%Y%m%d)"
+
+tarball="openssl-${version}.tar.gz"
+
+/usr/bin/fetch -m -p "ftp://ftp.openssl.org/snapshot/${tarball}" || exit
+
+/bin/rm -f openssl
+
+for i in *.tar.gz
+do
+ if [ "$i" != "$tarball" ]
+ then
+ /bin/rm -rf "${i%.tar.gz}"
+ /usr/local/bin/svn rm "$i"
+ fi
+done
+
+/usr/bin/awk -v version="$version" '/^VERSION = / {$NF = version} {print}' Makefile >Makefile.$$ &&
+/bin/mv Makefile.$$ Makefile
+
+/usr/local/bin/svn add "$tarball"